Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07079 Gameplay Major Always Aug 26, 2018, 20:01 Feb 4, 2020, 18:54
Tester Kale View Status Public Platform MAME (Official Binary)
Assigned To dink Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver suna8.cpp
Version 0.200 Fixed in Version 0.219 Build 64-bit
Summary 07079: sparkman, sparkmana: player-2 smart bomb doesn't work properly
Description If player-2 joins at any time, he shoots a spurious smart bomb the moment when invincibility wears off then pressing button 3 doesn't do anything.
player-1 is unaffected and works like intended.
Steps To Reproduce Insert a coin then start a player-2 game
Additional Information Looks like protection related.
Flags
Regression Version
Affected Sets / Systems sparkman, sparkmana
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17378
dink
Tester
Jan 31, 2020, 03:28
Kale,
This one was easy, c081 needs to be added as a mirror for "BUTTONS" (c080) in sparkman's mem map.

best regards,
- dink (fb dev)
User avatar
No.17388
dink
Tester
Feb 4, 2020, 01:27
more info:
the game's service mode reads from c080, but in-game it reads from c081 for player2's read of "BUTTONS". I can only guess that some of the address lines aren't being used here (notably bit 0).